{% extends "combio_app/base.html" %}
{% load i18n %}
{% load static %}
{% block container %}
<div class="p-6">
  <div class="font-sans text-3xl text-mpiwg-green mb-4">Help</div>
  <hr class="bg-mpiwg-subdued-green border-0 h-px my-2" />
  <div class="font-sans text-2xl text-mpiwg-green mb-2 mt-4">Citing <i>Commoning Biomedicine</i></div>
  <span class="font-sans">
  Please refer to the individual databases for citation guidelines. If you wish to support this project, consider adding the following line to your bibliographic entry:<br/>
 <b>Retrieved [insert date] via Commoning Biomedicine, <a class="text-mpiwg-green underline" href="https://combio.mpiwg-berlin.mpg.de">combio.mpiwg-berlin.mpg.de</a>.</b>
  </span>
  <hr class="bg-mpiwg-subdued-green border-0 h-px my-2 mt-6" />
  <div class="font-sans text-2xl text-mpiwg-green mb-2 mt-4">Search Interface: Operators</div>
  <span class="font-sans"><p>While using the <a class="text-mpiwg-green underline" href="/search">search bar</a>, the following operators are supported:</p>
    <div class="my-4">
    <ul class="ml-8">
    <li class="listitem mb-4"><code class="font-semibold text-mpiwg-green bg-mpiwg-beige px-2 py-1 rounded border border-mpiwg-brown mr-1 shadow-md">+</code> signifies an <span class="font-semibold text-mpiwg-green">AND</span> operation</li>
    <li class="listitem mb-4"><code class="font-semibold text-mpiwg-green bg-mpiwg-beige px-2 py-1 rounded border border-mpiwg-brown mr-1 shadow-md">|</code> signifies an <span class="font-semibold text-mpiwg-green">OR</span> operation</li>
    <li class="listitem mb-4"><code class="font-semibold text-mpiwg-green bg-mpiwg-beige px-2 py-1 rounded border border-mpiwg-brown mr-1 shadow-md">-</code> <span class="font-semibold text-mpiwg-green">negates</span> a single token</li>
    <li class="listitem mb-4"><code class="font-semibold text-mpiwg-green bg-mpiwg-beige px-2 py-1 rounded border border-mpiwg-brown mr-1 shadow-md">"</code> <span class="font-semibold text-mpiwg-green">wraps</span> a number of tokens to signify a phrase for searching</li>
    <li class="listitem mb-4"><code class="font-semibold text-mpiwg-green bg-mpiwg-beige px-2 py-1 rounded border border-mpiwg-brown mr-1 shadow-md">*</code> at the end of a term signifies a <span class="font-semibold text-mpiwg-green">prefix</a> query</li>
    <li class="listitem mb-4"><code class="font-semibold text-mpiwg-green bg-mpiwg-beige px-2 py-1 rounded border border-mpiwg-brown mr-1 shadow-md">(</code> and <code class="font-semibold shadow-md text-mpiwg-green bg-mpiwg-beige px-2 py-1 rounded border border-mpiwg-brown">)</code> signify <span class="font-semibold text-mpiwg-green">precedence</span></li>
    <li class="listitem mb-4"><code class="font-semibold text-mpiwg-green bg-mpiwg-beige px-2 py-1 rounded border border-mpiwg-brown mr-1 shadow-md">~N</code> after a word signifies <span class="font-semibold text-mpiwg-green">edit distance</span> (fuzziness)</li>
    <li class="listitem mb-4"><code class="font-semibold text-mpiwg-green bg-mpiwg-beige px-2 py-1 rounded border border-mpiwg-brown mr-1 shadow-md">~N</code> after a phrase signifies <span class="font-semibold text-mpiwg-green">slop amount</span> (the number of other words permitted between words)</li>
    </ul>
    </div>
    <p class="mt-6">To use one of these characters literally, escape it with a preceding backslash (<code class="literal">\</code>).
            </p></span>
  <hr class="bg-mpiwg-subdued-green border-0 h-px my-2 mt-6" />
  <div class="font-sans text-2xl text-mpiwg-green mb-2 mt-4">Search Interface: Keyboard Navigation</div>
  <span class="font-sans"><p class="mb-2">On the <a class="text-mpiwg-green underline" href="/search">search interface</a>, use the <b class="text-mpiwg-green">Up</b> <code class="shadow-md key border border-mpiwg-brown rounded px-2 py-1 text-sm bg-mpiwg-beige">↑</code> and <b class="text-mpiwg-green">Down</b> <code class="shadow-md key border border-mpiwg-brown rounded px-2 py-1 text-sm bg-mpiwg-beige">↓</code> keys to quickly navigate between results.</p>
  <p>The <b class="text-mpiwg-green">Left</b> <code class="shadow-md key border border-mpiwg-brown rounded px-2 py-1 text-sm bg-mpiwg-beige">←</code> and <b class="text-mpiwg-green">Right</b> <code class="shadow-md key border border-mpiwg-brown rounded px-2 py-1 text-sm bg-mpiwg-beige">→</code> keys allow you to flip through the pages.</p>
  <p class="font-bold mt-4">Please note that these shortcuts will not function while the search bar is in focus.</p>
</span>
  <hr class="bg-mpiwg-subdued-green border-0 h-px my-2 mt-6" />
  <div class="font-sans text-2xl text-mpiwg-green mb-2 mt-4">Search Interface: Metadata</div>
  <span class="font-sans"><p>The metadata displayed in the main element of the <a class="text-mpiwg-green underline" href="/search">search interface</a> contains two types of metadata fields:</p>
  <p>
    <ul class="list-disc ml-8 my-4">
      <li>Our attempt at creating a set of metadata fields that can be used across different collections of oral histories.</li>
      <li>All the <a href="https://www.dublincore.org/specifications/dublin-core/dcmi-terms/" target="_blank" class="underline text-mpiwg-green">Dublin Core</a> fields we were able to extract from the various collections we are aggregating on the <i>Combio</i> platfom.</li>
    </ul>
  </p>
  <p>The definition of our metadata scheme, expressed in the <a class="underline text-mpiwg-green" href="https://json-schema.org/" target="_blank">JSON Schema</a> language, can be <a class="underline text-mpiwg-green" target="_blank" href="{% static 'combio_app/metadata_scheme/combio_metadata_scheme.json' %}">downloaded</a> from this platform.</p>
</span>
</div>
{% endblock %}